## liggghts 1.5

=== debian/changelog ===
liggghts (1.5-1) unstable; urgency=low

  * [9529b4b] Install a manpage.
  * [8d5c6d1] Imported Upstream version 1.5

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 02 Dec 2011 21:40:31 +0100

liggghts (1.4.6-1) unstable; urgency=low

  * Initial import. (Closes: #647235)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 04 Nov 2011 20:43:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS :=  $(shell dpkg-buildflags --get LDFLAGS)

extra_flags += CFLAGS='$(CFLAGS)' CXXFLAGS='$(CXXFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'


override_dh_auto_clean:
	cd src; make clean-all
	dh_clean

override_dh_auto_build:
	cd src; make fedora
	mv src/lmp_fedora src/liggghts

## liggghts 1.5.1

=== tools/msi2lmp/src/Makefile ===

TARGET	 = msi2lmp.exe

SRCS     = msi2lmp.c \
           ReadCarFile.c \
           ReadMdfFile.c \
	   MakeLists.c \
           ReadFrcFile.c \
           InitializeItems.c \
	   SearchAndFill.c \
           GetParameters.c \
	   CheckLists.c \
           WriteDataFile05.c \
           WriteDataFile01.c

OBJS     = $(SRCS:.c=.o)

HEADERS  = Msi2LMP2.h Forcefield.h

CC       = gcc
CFLAGS   = -O2
FRCFILE  = cvff.frc
FRCFILE2 = cff91.frc
README   = README
MKFILE   = Makefile

$(TARGET) : $(OBJS)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) -lm

$(OBJS) : $(HEADERS)

.c.o:
	$(CC) $(CFLAGS) -c $<
clean:
	rm -f $(OBJS) $(TARGET)

=== debian/changelog ===
liggghts (1.5.1-5) unstable; urgency=low

  * [d7df2ea] Fix typo in archs.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 10 Mar 2012 10:10:18 +0100

liggghts (1.5.1-4) unstable; urgency=low

  * [0915b9e] Disable auto-test on arm and armhf, the test hangs.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 06 Mar 2012 20:45:00 +0100

liggghts (1.5.1-3) unstable; urgency=low

  * [10595af] Do not break package building, if the autotest failed.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 04 Mar 2012 09:44:07 +0100

liggghts (1.5.1-2) unstable; urgency=low

  * [65d77e5] Update copyright-format file due to DEP-5 release.
  * [8fc58b6] Add auto-tests.
  * [0955950] Use Standards-Version: 3.9.3. No changes.
  * [43fb8bf] Use compilation flags proposed by build environment 
              instead of hardcoded.
  * [6ed3623] Fix FTBFS "format not a string literal and no format arg".
  * [9d602d4] Enable JPEG. Seems FFTW hurts the productivity.
  * [df4535f] Use dh compat 9.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 03 Mar 2012 07:36:10 +0100

liggghts (1.5.1-1) unstable; urgency=low

  * [7e46270] Imported Upstream version 1.5.1
  * [b2f3ee0] Use --parallel option for faster builds.
  * [bdc9cba] Add name of interpretator into headers of some executable 
              example scripts.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 03 Feb 2012 22:33:06 +0100

=== debian/control ===
Source: liggghts
Section: science
Priority: extra
Build-Depends: debhelper (>= 9), mpi-default-bin, mpi-default-dev, 
 libjpeg-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Homepage: http://www.liggghts.com/
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/liggghts.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/liggghts.git

Package: liggghts
Architecture: any
Depends:  mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Recommends: paraview
Description: Open Source DEM Particle Simulation Software.
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot

disable_auto_test_archs = armel armhf

override_dh_auto_clean:
	cd src; make clean-all
	dh_clean

override_dh_auto_build:
	cd src; make fedora
	mv src/lmp_fedora src/liggghts

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs)))
	mkdir test
	cp -r examples/LIGGGHTS/chute_wear/* test/
	cd test; ./../src/liggghts < in.chute_wear || true
	rm -rf test
	mkdir test
	cp -r examples/LIGGGHTS/chute_wear/* test/
	cd test; mpirun -np 2 ./../src/liggghts < in.chute_wear || true
	rm -rf test
endif

## liggghts 1.5.2

=== src/Makefile ===
# LAMMPS multiple-machine Makefile

SHELL = /bin/sh
#.IGNORE:

# Definitions

ROOT =	lmp
EXE =	$(ROOT)_$@
SRC =	$(wildcard *.cpp)
INC =	$(wildcard *.h)
OBJ = 	$(SRC:.cpp=.o)

# Package variables

PACKAGE = asphere class2 colloid dipole dsmc gpu granular \
	  kspace manybody meam molecule opt peri poems prd reax xtc

PACKUSER = user-ackland user-atc user-cd-eam user-cg-cmm user-ewaldn \
	   user-imd user-smd

PACKALL = $(PACKAGE) $(PACKUSER)

PACKAGEUC = $(shell perl -e 'printf("%s", uc("$(PACKAGE)"));')
PACKUSERUC = $(shell perl -e 'printf("%s", uc("$(PACKUSER)"));')

YESDIR = $(shell perl -e 'printf("%s", uc("$(@:yes-%=%)"));')
NODIR  = $(shell perl -e 'printf("%s", uc("$(@:no-%=%)"));')

# List of all targets

help:
	@echo ''
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'
	@echo 'make tar                 lmp_src.tar.gz of src dir and packages'
	@echo 'make makelib             update Makefile.lib for library build'
	@echo 'make makelist            update Makefile.list used by old makes'
	@echo ''
	@echo 'make package             list available packages'
	@echo 'make package-status      status of all packages'
	@echo 'make yes-package         install a single package in src dir'
	@echo 'make no-package          remove a single package from src dir'
	@echo 'make yes-all             install all packages in src dir'
	@echo 'make no-all              remove all packages from src dir'
	@echo 'make yes-standard        install all standard packages'
	@echo 'make no-standard         remove all standard packages'
	@echo 'make yes-user            install all user packages'
	@echo 'make no-user             remove all user packages'
	@echo ''
	@echo 'make package-update      replace src files with package files'
	@echo 'make package-overwrite   replace package files with src files'
	@echo ''
	@echo 'make machine             build LAMMPS where machine is one of:'
	@echo ''
	@files="`ls MAKE/Makefile.*`"; \
	  for file in $$files; do head -1 $$file; done
	@echo ''

# Build the code

.DEFAULT:
	@test -f MAKE/Makefile.$@
	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
	@/bin/sh Make.sh style
	@cp -p *.cpp *.h Obj_$@
	@cp MAKE/Makefile.$@ Obj_$@/Makefile
	@cp Makefile.package Obj_$@
	@cd Obj_$@; \
	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "EXE = ../$(EXE)" ../$(EXE)
	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi

# Remove machine-specific object files

clean:
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'

clean-all:
	rm -rf Obj_*

clean-%:
	rm -rf Obj_$(@:clean-%=%)

# Create a tarball of src dir and packages

tar:
	@cd STUBS; make clean
	@cd ..; tar cvzf src/$(ROOT)_src.tar.gz \
	  src/Make* src/Package.sh src/MAKE src/*.cpp src/*.h src/STUBS \
	  $(patsubst %,src/%,$(PACKAGEUC)) $(patsubst %,src/%,$(PACKUSERUC)) \
          --exclude=*/.svn
	@cd STUBS; make
	@echo "Created $(ROOT)_src.tar.gz"

# Update Makefile.lib and Makefile.list

makelib:
	@/bin/sh Make.sh style
	@/bin/sh Make.sh Makefile.lib

makelist:
	@/bin/sh Make.sh style
	@/bin/sh Make.sh Makefile.list

# Package management

package:
	@echo 'Standard packages:' $(PACKAGE)
	@echo ''
	@echo 'User-contributed packages:' $(PACKUSER)
	@echo ''
	@echo 'make package             list available packages'
	@echo 'make package-status      status of all packages'
	@echo 'make yes-package         install a single package in src dir'
	@echo 'make no-package          remove a single package from src dir'
	@echo 'make yes-all             install all packages in src dir'
	@echo 'make no-all              remove all packages from src dir'
	@echo 'make yes-standard        install all standard packages'
	@echo 'make no-standard         remove all standard packages'
	@echo 'make yes-user            install all user packages'
	@echo 'make no-user             remove all user packages'
	@echo ''
	@echo 'make package-update      replace src files with package files'
	@echo 'make package-overwrite   replace package files with src files'

yes-all:
	@for p in $(PACKALL); do $(MAKE) yes-$$p; done

no-all:
	@for p in $(PACKALL); do $(MAKE) no-$$p; done

yes-standard:
	@for p in $(PACKAGE); do $(MAKE) yes-$$p; done

no-standard:
	@for p in $(PACKAGE); do $(MAKE) no-$$p; done

yes-user:
	@for p in $(PACKUSER); do $(MAKE) yes-$$p; done

no-user:
	@for p in $(PACKUSER); do $(MAKE) no-$$p; done

yes-%:
	@if [ ! -e $(YESDIR) ]; then \
	  echo "Package $(@:yes-%=%) does not exist"; \
	else \
	  echo "Installing package $(@:yes-%=%)"; \
	  cd $(YESDIR); /bin/sh Install.sh 1; \
	fi;

no-%:
	@if [ ! -e $(NODIR) ]; then \
	  echo "Package $(@:no-%=%) does not exist"; \
	else \
	  echo "Uninstalling package $(@:no-%=%), ignore errors"; \
	  cd $(NODIR); /bin/sh Install.sh 0; cd ..; \
        fi;

# status = list differences between src and package files
# update = replace src files with newer package files
# overwrite = overwrite package files with newer src files

package-status:
	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p status; done
	@echo ''
	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p status; done

package-update:
	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p update; done
	@echo ''
	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p update; done

package-overwrite:
	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p overwrite; done
	@echo ''
	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p overwrite; done

=== debian/changelog ===
liggghts (1.5.2-3) unstable; urgency=low

  * [b5f1247] Fix wrong defined archs for auto_tests.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 15 Mar 2012 21:31:29 +0100

liggghts (1.5.2-2) unstable; urgency=low

  * [e5a0fb3] Disable mpirun-test on some platforms, where it crashes.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 15 Mar 2012 20:05:37 +0100

liggghts (1.5.2-1) unstable; urgency=low

  * [5b3ec1c] Imported Upstream version 1.5.2
  * [cfb6bac] Do not start mpirun-autotests on mips* archs.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 14 Mar 2012 20:41:52 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot

disable_auto_test_archs_simple = armel armhf 
disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x

override_dh_auto_clean:
	cd src; make clean-all
	dh_clean

override_dh_auto_build:
	cd src; make fedora
	mv src/lmp_fedora src/liggghts

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
	mkdir test
	cp -r examples/LIGGGHTS/chute_wear/* test/
	cd test; mpirun -np 2 ./../src/liggghts < in.chute_wear
	rm -rf test
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_simple)))
	mkdir test
	cp -r examples/LIGGGHTS/chute_wear/* test/
	cd test; ./../src/liggghts < in.chute_wear
	rm -rf test
endif

## liggghts 1.5.3

=== debian/changelog ===
liggghts (1.5.3-1) unstable; urgency=low

  * [fb49bd6] Imported Upstream version 1.5.3
  * [cbfc470] Fix FTBFS due to gcc-4.7 (missing header).

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 23 May 2012 22:44:20 +0200

## liggghts 2.3.2

=== debian/changelog ===
liggghts (2.3.2-1) unstable; urgency=low

  * [adf4c2b] Imported Upstream version 2.3.2
  * [8fe04ee] Use cmake for building.
  * [e34c201] Split the package into libliggghts2, liggghts-doc, liggghts2-dbg.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 22:47:51 +0200

=== debian/control ===
Source: liggghts
Section: science
Priority: extra
Build-Depends: debhelper (>= 9), mpi-default-bin, mpi-default-dev, 
 libjpeg-dev, cmake, libboost-mpi-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Homepage: http://www.liggghts.com/
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/liggghts.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/liggghts.git

Package: liggghts
Architecture: any
Multi-Arch: foreign
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}, 
 libliggghts2 (>= ${source:Version})
Recommends: paraview
Description: Open Source DEM Particle Simulation Software.
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.

Package: libliggghts2
Architecture: any
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Open Source DEM Particle Simulation Software. Shared library
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains shared library.

Package: libliggghts-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}, 
 libliggghts2 (= ${binary:Version})
Description: Open Source DEM Particle Simulation Software. Development files
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains development files.

Package: liggghts-doc
Architecture: all
Section: doc
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}
Recommends: liggghts
Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains documentation and examples.

Package: libliggghts2-dbg
Architecture: any
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: mpi-default-bin, ${shlibs:Depends}, ${misc:Depends}, 
 liggghts (= ${binary:Version})
Description: Open Source DEM Particle Simulation Software. Debugging symbols
 LIGGGHTS stands for LAMMPS improved for general granular and granular 
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in 
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR 
 package to perform these kind of simulations. LIGGGHTS aims to improve those 
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains debugging symbols.

## liggghts 2.3.6

=== debian/changelog ===
liggghts (2.3.6-1) unstable; urgency=low

  * [e358878] Add debian/watch.
  * [28595e2] Imported Upstream version 2.3.6
  * [a43057c] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Jul 2013 16:55:39 +0200

## liggghts 2.3.8

=== src/CMakeLists.txt ===
# ENABLE_PACKAGE: enable PACKAGE-modules (OFF by default)
# ENABLE_PACKAGEUSER: enable PACKAGEUSER-modules (OFF by default)
# SUFFIX: add sufix to binary-name (NONE by default)
# USERPATH: use RPATH for search of the shared library libliggghts, need to be switched on by packaging (ON by default)
# VERSION: version number (2.2 by default)
# LIB_SUFFIX: suffix, where libliggghts library will be installed, lib/${LIB_SUFFIX} (NONE by default)

PROJECT(LIGGGHTS C CXX)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(CMAKE_VERBOSE_MAKEFILE 1)
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")

SET(VERSION 2.2)
SET(USERPATH 1)
#=======================================

IF (NOT CMAKE_CXX_FLAGS)
  #If flags are not set, add default flags
  SET(CMAKE_BUILD_TYPE Release)
  SET(CMAKE_CXX_FLAGS  " -Wall -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security")
ENDIF (NOT CMAKE_CXX_FLAGS)

#=======================================

INCLUDE(FindVTK)
FIND_PACKAGE(VTK COMPONENTS Common)
IF(VTK_FOUND)
  INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIRS})
  LINK_DIRECTORIES(${VTK_LIBRARY_DIRS})
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLAMMPS_VTK")
  MESSAGE(STATUS "Found VTK")
  
  FIND_PACKAGE(Eigen3 REQUIRED)
  INCLUDE_DIRECTORIES(${EIGEN3_INCLUDE_DIR})
  MESSAGE(STATUS "Found Eigen3")
ELSE(VTK_FOUND)
  MESSAGE(STATUS "VTK NOT found!")
ENDIF(VTK_FOUND)

#=======================================

INCLUDE(FindJPEG)
IF(JPEG_FOUND)
  INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLAMMPS_JPEG")
ELSE(JPEG_FOUND)
  MESSAGE(STATUS "JPEG NOT found!")
ENDIF(JPEG_FOUND)

#=======================================

INCLUDE(FindMPI)
IF(MPI_C_FOUND AND MPI_CXX_FOUND)
  SET(CMAKE_C_COMPILER ${MPI_C_COMPILER})
  SET(CMAKE_CXX_COMPILER ${MPI_CXX_COMPILER})
ELSE(MPI_C_FOUND AND MPI_CXX_FOUND)
  #Check old FindMPI version
  IF(MPI_COMPILER)
    SET(CMAKE_C_COMPILER ${MPI_COMPILER})
    SET(CMAKE_CXX_COMPILER ${MPI_COMPILER})
  ELSE(MPI_COMPILER)
    MESSAGE(FATAL_ERROR "MPI-COMPILER NOT found!")
  ENDIF(MPI_COMPILER)
ENDIF(MPI_C_FOUND AND MPI_CXX_FOUND)

#=======================================

#Disabled modules
#GPU KIM MEAM POEMS REAX SRD
IF(ENABLE_PACKAGE)
  SET(MODULES_PACKAGE ASPHERE CLASS2 COLLOID DIPOLE FLD  GRANULAR KSPACE MANYBODY MC MOLECULE OPT PERI REPLICA SHOCK  XTC)
ENDIF(ENABLE_PACKAGE)
#Disabled modules
#USER-MISC
IF(ENABLE_PACKAGEUSER)
  SET(MODULES_USER USER-ATC USER-AWPMD USER-CG-CMM USER-CUDA USER-EFF USER-EWALDN USER-OMP USER-REAXC USER-SPH)
ENDIF(ENABLE_PACKAGEUSER)
#=======================================

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src)

ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/src")

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # LAMMPS multiple-machine Makefile
 
-SHELL = /bin/sh
+SHELL = /bin/bash
 #.IGNORE:
 
 # Definitions
@@ -13,19 +13,22 @@
 
 # Package variables
 
-PACKAGE = asphere class2 colloid dipole dsmc gpu granular \
-	  kspace manybody meam molecule opt peri poems prd reax xtc
-
-PACKUSER = user-ackland user-atc user-cd-eam user-cg-cmm user-ewaldn \
-	   user-imd user-smd
+PACKAGE = asphere class2 colloid dipole fld gpu granular kim \
+	  kspace manybody mc meam molecule opt peri poems reax replica \
+	  shock srd xtc
+
+PACKUSER = user-misc user-atc user-awpmd user-cg-cmm \
+	   user-cuda user-eff user-ewaldn user-omp user-reaxc user-sph
+
+PACKLIB = gpu kim meam poems reax user-atc user-awpmd user-cuda
 
 PACKALL = $(PACKAGE) $(PACKUSER)
 
-PACKAGEUC = $(shell perl -e 'printf("%s", uc("$(PACKAGE)"));')
-PACKUSERUC = $(shell perl -e 'printf("%s", uc("$(PACKUSER)"));')
-
-YESDIR = $(shell perl -e 'printf("%s", uc("$(@:yes-%=%)"));')
-NODIR  = $(shell perl -e 'printf("%s", uc("$(@:no-%=%)"));')
+PACKAGEUC = $(shell echo $(PACKAGE) | tr a-z A-Z)
+PACKUSERUC = $(shell echo $(PACKUSER) | tr a-z A-Z)
+
+YESDIR = $(shell echo $(@:yes-%=%) | tr a-z A-Z)
+NODIR  = $(shell echo $(@:no-%=%) | tr a-z A-Z)
 
 # List of all targets
 
@@ -47,9 +50,11 @@
 	@echo 'make no-standard         remove all standard packages'
 	@echo 'make yes-user            install all user packages'
 	@echo 'make no-user             remove all user packages'
+	@echo 'make no-lib              remove all packages with external libs'
 	@echo ''
 	@echo 'make package-update      replace src files with package files'
 	@echo 'make package-overwrite   replace package files with src files'
+	@echo 'make package-diff        diff src files against package files'
 	@echo ''
 	@echo 'make machine             build LAMMPS where machine is one of:'
 	@echo ''
@@ -62,12 +67,17 @@
 .DEFAULT:
 	@test -f MAKE/Makefile.$@
 	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
-	@/bin/sh Make.sh style
+	@$(SHELL) Make.sh style
 	@cp -p *.cpp *.h Obj_$@
 	@cp MAKE/Makefile.$@ Obj_$@/Makefile
-	@cp Makefile.package Obj_$@
+	@if [ ! -e Makefile.package ]; \
+	  then cp Makefile.package.empty Makefile.package; fi
+	@if [ ! -e Makefile.package.settings ]; \
+	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
+	@cp Makefile.package Makefile.package.settings Obj_$@
 	@cd Obj_$@; \
-	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "EXE = ../$(EXE)" ../$(EXE)
+	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" \
+	  "EXE = ../$(EXE)" ../$(EXE)
 	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi
 
 # Remove machine-specific object files
@@ -93,15 +103,20 @@
 	@cd STUBS; make
 	@echo "Created $(ROOT)_src.tar.gz"
 
+# Make MPI STUBS lib
+
+stubs:
+	@cd STUBS; make clean; make
+
 # Update Makefile.lib and Makefile.list
 
 makelib:
-	@/bin/sh Make.sh style
-	@/bin/sh Make.sh Makefile.lib
+	@$(SHELL) Make.sh style
+	@$(SHELL) Make.sh Makefile.lib
 
 makelist:
-	@/bin/sh Make.sh style
-	@/bin/sh Make.sh Makefile.list
+	@$(SHELL) Make.sh style
+	@$(SHELL) Make.sh Makefile.list
 
 # Package management
 
@@ -120,9 +135,11 @@
 	@echo 'make no-standard         remove all standard packages'
 	@echo 'make yes-user            install all user packages'
 	@echo 'make no-user             remove all user packages'
+	@echo 'make no-lib              remove all packages with external libs'
 	@echo ''
 	@echo 'make package-update      replace src files with package files'
 	@echo 'make package-overwrite   replace package files with src files'
+	@echo 'make package-diff        diff src files against package file'
 
 yes-all:
 	@for p in $(PACKALL); do $(MAKE) yes-$$p; done
@@ -142,37 +159,50 @@
 no-user:
 	@for p in $(PACKUSER); do $(MAKE) no-$$p; done
 
+no-lib:
+	@for p in $(PACKLIB); do $(MAKE) no-$$p; done
+
 yes-%:
+	@if [ ! -e Makefile.package ]; \
+	  then cp Makefile.package.empty Makefile.package; fi
+	@if [ ! -e Makefile.package.settings ]; \
+	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
 	@if [ ! -e $(YESDIR) ]; then \
 	  echo "Package $(@:yes-%=%) does not exist"; \
 	else \
 	  echo "Installing package $(@:yes-%=%)"; \
-	  cd $(YESDIR); /bin/sh Install.sh 1; \
+	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; $(SHELL) Depend.sh 1; \
 	fi;
 
 no-%:
 	@if [ ! -e $(NODIR) ]; then \
 	  echo "Package $(@:no-%=%) does not exist"; \
 	else \
-	  echo "Uninstalling package $(@:no-%=%), ignore errors"; \
-	  cd $(NODIR); /bin/sh Install.sh 0; cd ..; \
+	  echo "Uninstalling package $(@:no-%=%)"; \
+	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; $(SHELL) Depend.sh 0; \
         fi;
 
-# status = list differences between src and package files
+# status = list src files that differ from package files
 # update = replace src files with newer package files
 # overwrite = overwrite package files with newer src files
+# diff = show differences between src and package files
 
 package-status:
-	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p status; done
-	@echo ''
-	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p status; done
+	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p status; done
+	@echo ''
+	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p status; done
 
 package-update:
-	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p update; done
-	@echo ''
-	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p update; done
+	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p update; done
+	@echo ''
+	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p update; done
 
 package-overwrite:
-	@for p in $(PACKAGEUC); do /bin/sh Package.sh $$p overwrite; done
-	@echo ''
-	@for p in $(PACKUSERUC); do /bin/sh Package.sh $$p overwrite; done
+	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p overwrite; done
+	@echo ''
+	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p overwrite; done
+
+package-diff:
+	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p diff; done
+	@echo ''
+	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p diff; done

=== tools/Makefile ===
# Makefile for serial tools

#
# Targets
#

all:
	$(MAKE) binary2txt restart2data chain micelle2d data2xmovie

binary2txt:	binary2txt.o
	g++ -g binary2txt.o -o binary2txt

restart2data:	restart2data.o
	g++ -g restart2data.o -o restart2data

chain:	chain.o
	ifort chain.o -o chain

micelle2d:	micelle2d.o
	ifort micelle2d.o -o micelle2d

data2xmovie:	data2xmovie.o
	g++ -g data2xmovie.o -o data2xmovie

thermo_extract:	thermo_extract.o
	gcc -g thermo_extract.o -o thermo_extract

clean:
	rm binary2txt restart2data chain micelle2d data2xmovie
	rm thermo_extract
	rm *.o

#
# Rules
#

.cpp.o:
	g++ -g -c $<

.c.o:
	gcc -g -c $<

.f.o:	
	ifort -O -w -c $<

=== lib/cuda/Makefile ===
#Makefile for liblammpscuda.a 
#No need to modify anything here! The CUDA path is inserted into Makefile.common

include Makefile.cudalib

=== src/STUBS/Makefile ===
# Makefile for MPI stubs - edit this for your platform

SHELL = /bin/sh
.IGNORE:

# Files

SRC =		mpi.c
INC =		mpi.h

# Definitions

EXE =		libmpi.a
OBJ = 		$(SRC:.c=.o)

# System-specific settings

CC =		cc
CCFLAGS =	-O # -fPIC
ARCHIVE =	ar
ARCHFLAG =	rs

# Target

$(EXE):	$(OBJ)
	$(ARCHIVE) $(ARCHFLAG) $(EXE) $(OBJ)

# Clean

clean:
	rm *.o libmpi.a

# Compilation rules

.c.o:
	$(CC) $(CCFLAGS) -c $<

# Individual dependencies

$(OBJ):	$(INC)

=== tools/msi2lmp/src/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 HEADERS  = Msi2LMP2.h Forcefield.h
 
 CC       = gcc
-CFLAGS   = -O2
+CFLAGS   = -O3
 FRCFILE  = cvff.frc
 FRCFILE2 = cff91.frc
 README   = README

=== tools/pymol_asphere/src/Makefile ===
#***************************************************************************
#                               Makefile
#                          -------------------
#
#  _________________________________________________________________________
#    Build for the Graphics Utilities
#  _________________________________________________________________________
#
#    begin                : Thu June 9 2005
#    copyright            : (C) 2003 by W. Michael Brown
#    email                : wmbrown@sandia.gov
# ***************************************************************************/

#Compiler type
#COMPILER = intel
COMPILER = gnu
#COMPILER = mpi
#COMPILER = mingw

#Locations of outside objects relative to a source directory
HOBJ_DIR = ../obj

BIN_DIR = ../bin

ALL_DIR = .
ALL_LIB = $(HOBJ_DIR)/liball.a

GRPHICS_DIR = .
GRPHICS_LIB = $(HOBJ_DIR)/libgraphics.a

GRID_DIR = .
GRID_LIB = $(HOBJ_DIR)/libgrid.a

MOL_DIR = .
MOL_LIB = $(HOBJ_DIR)/libmol.a

MATH_DIR = .
MATH_LIB = $(HOBJ_DIR)/libmath.a

EVERY_LIB = $(MOL_LIB) $(GRID_LIB) $(GRPHICS_LIB) $(MATH_LIB) $(ALL_LIB)

MOLSIM_DIR = .
MOLSIM_LIB = $(HOBJ_DIR)/molsim.o $(HOBJ_DIR)/dynmif.o $(HOBJ_DIR)/dynmifq.o

# Include directories
INC         = -I$(ALL_DIR) -I$(MOLSIM_DIR) -I$(MOL_DIR) -I$(MATH_DIR) -I$(GRID_DIR) -I$(GRPHICS_DIR)

ifeq ($(COMPILER),intel)
  CPP         = icpc      # C++ Compiler
  CC          = icc       # C compiler
  AR          = xiar      #ar
  DBUG        = -g -DDEBUG -DNANCHECK #-Wall #-ansi
  OPT         = -O2 -xP -ipo -no-prec-div -static
endif

ifeq ($(COMPILER),gnu)
  CPP         = g++ # C++ Compiler
  CC          = gcc # C compiler
  AR          = ar
  DBUG        = -g -DDEBUG -DNANCHECK -Wall -pedantic #-ansi
  OPT         = #-O3
endif

ifeq ($(COMPILER),mpi)
  CPP         = mpic++ -DMUSE_MPI      # C++ Compiler
  CC          = mpicc -DMUSE_MPI    # C compiler
  AR          = ar
  DBUG        = -g -DDEBUG -DNANCHECK #-Wall #-pedantic #-ansi
  OPT         = #-xN -O3 #-ipo -no-prec-div -static #-O3
endif

ifeq ($(COMPILER),mingw)
  CPP         = /cygdrive/c/MINGW/bin/g++ # C++ Compiler
  CC          = /cygdrive/c/MINGW/bin/gcc # C compiler
  AR          = /cygdrive/c/MINGW/bin/ar
  DBUG        = #-g -DDEBUG -DNANCHECK -Wall -pedantic #-ansi
  OPT         = -O3 -static
endif

# Large file support?
LFSC        = #-D_LARGEFILE_SOURCE `getconf LFS_CFLAGS`
LFSL        = #`getconf LFS_LDFLAGS` `getconf LFS_LIBS`

# GNU Scientific Library?
GSLC        = #-DUSEGSL -I/usr/local/include/
GSLL        = #-lgsl -lgslcblas

# GA Library?
LIBGAC      = #-DLIBGA -I/usr/local/include/
LIBGAL      = #-lga -L/usr/local/lib/ -Wl,--allow-multiple-definition

# Movie frame support?
MOVIE       = #-DMOVIE

# VTK ?
VTKH        = #-DUSEVTK -I/usr/local/include/vtk-5.0
VTKL        = #-lvtkWidgets -lvtkHybrid -lvtkVolumeRendering -lvtkRendering -lvtkIO -lvtkGenericFiltering -lvtkGraphics -lvtkImaging -l vtkFiltering -lvtkCommon -L/usr/X11R6/lib/ -lGL -lXt -lSM -lICE -lX11 -lXext -lpthread -ldl

CFLAGS      = $(OPT) $(MOVIE) $(DBUG) $(INC) $(GSLC) $(LIBGAC) $(VTKH) -c
LFLAGS      = $(OPT)
LLIBS       = $(GSLL) $(LIBGAL) $(LFSL) $(VTKL)

# Distribution Directories
DIST_BIN  = /home/wmbrown/distbin/
DIST_MAN    = /home/wmbrown/cpp/manpages/man1/
DIST_DOC  = /home/wmbrown/cpp/doc/

OBJ_DIR = $(HOBJ_DIR)

# Objects for this project
THIS_OBJ =  $(OBJ_DIR)/asphere_vis.o $(GRPHICS_LIB) $(MATH_LIB) $(ALL_LIB)
EXECS = $(BIN_DIR)/asphere_vis

all: $(EXECS)

libraries:
	cd $(ALL_DIR); make; cd $(MATH_DIR); make; cd $(GRID_DIR); make; \
        cd $(GRPHICS_DIR); make;

ALL_OBJS = $(OBJ_DIR)/error.o $(OBJ_DIR)/commandline.o \
	   $(OBJ_DIR)/misc.o

$(OBJ_DIR)/error.o: error.h error.cpp
	$(CPP) $(CFLAGS) -o $@ error.cpp

$(OBJ_DIR)/commandline.o: commandline.h commandline.cpp
	$(CPP) $(CFLAGS) -o $@ commandline.cpp

$(OBJ_DIR)/misc.o: misc.h misc.cpp
	$(CPP) $(CFLAGS) -o $@ misc.cpp

$(ALL_LIB): $(ALL_OBJS)
	$(AR) -crusv $(ALL_LIB) $(ALL_OBJS)

GRPHICS_O   = $(OBJ_DIR)/colors.o $(OBJ_DIR)/glsurface.o

$(OBJ_DIR)/colors.o: colors.h colors.cpp
	$(CPP) $(CFLAGS) -o $@ colors.cpp

$(OBJ_DIR)/glsurface.o: glsurface.h glsurface.cpp
	$(CPP) $(CFLAGS) -o $@ glsurface.cpp

$(GRPHICS_LIB): $(GRPHICS_O)
	$(AR) -crusv $(GRPHICS_LIB) $(GRPHICS_O)

MATH_OBJS      = $(OBJ_DIR)/cartesian.o $(OBJ_DIR)/miscm.o \
                 $(OBJ_DIR)/spherical.o 

$(OBJ_DIR)/miscm.o: miscm.h miscm.cpp
	$(CPP) $(CFLAGS) -o $@ miscm.cpp

$(OBJ_DIR)/cartesian.o: cartesian.h cartesian.cpp
	$(CPP) $(CFLAGS) -o $@ cartesian.cpp

$(OBJ_DIR)/spherical.o: spherical.h spherical.cpp
	$(CPP) $(CFLAGS) -o $@ spherical.cpp

$(MATH_LIB): $(MATH_OBJS)
	$(AR) -crusv $(MATH_LIB) $(MATH_OBJS)

$(OBJ_DIR)/asphere_vis.o: asphere_vis.cpp 
	$(CPP) $(CFLAGS) -o $@ asphere_vis.cpp

$(BIN_DIR)/asphere_vis: $(THIS_OBJ)
	$(CPP) $(LFLAGS) -o $@ $(THIS_OBJ) $(LLIBS)
#
#  Documentation
#
manpages: all
	/bin/tcsh make_manpages.sh

#
# Create a .tar distribution file
#
dist: all manpages
	/bin/tcsh makedistribution.sh


#
#  INSTALL to Mike's Directories
install: all manpages
	/bin/cp $(EXECS) $(DIST_BIN); \
	/bin/cp ./manpages/*.1 $(DIST_MAN); \
	/bin/cp ./manpages/*.pdf $(DIST_DOC)


#
#  Remove objects, cores, etc.
#

clean:
	rm -rf $(EXECS) $(THIS_OBJ) $(ALL_OBJ) $(MATH_OBJ) $(GRPHICS_O)
	cd $(OBJ_DIR); rm -f *.o

veryclean: clean
	rm -rf *~ ./api ./manpages

cleanproject: clean
	cd $(ALL_DIR); make clean; cd $(MATH_DIR); make clean; \
  cd $(GRPHICS_DIR); make clean;

=== debian/changelog ===
liggghts (2.3.8-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 00:07:01 -0500

liggghts (2.3.8-1) unstable; urgency=low

  * [c18713f] Imported Upstream version 2.3.8
  * [8433776] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Nov 2013 20:25:20 +0100

=== debian/control ===
Source: liggghts
Section: science
Priority: extra
Build-Depends:
 cmake,
 debhelper (>= 9),
 libboost-mpi-dev,
 libjpeg-dev,
 mpi-default-bin,
 mpi-default-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Homepage: http://www.liggghts.com/
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/liggghts.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/liggghts.git

Package: libliggghts-dev
Architecture: any
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 libliggghts2 (= ${binary:Version}),
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Open Source DEM Particle Simulation Software. Development files
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains development files.

Package: libliggghts2
Architecture: any
Depends:
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Description: Open Source DEM Particle Simulation Software. Shared library
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains shared library.

Package: libliggghts2-dbg
Architecture: any
Section: debug
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 liggghts (= ${binary:Version}),
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Open Source DEM Particle Simulation Software. Debugging symbols
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains debugging symbols.

Package: liggghts
Architecture: any
Multi-Arch: foreign
Depends:
 libliggghts2 (>= ${source:Version}),
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 paraview
Description: Open Source DEM Particle Simulation Software.
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.

Package: liggghts-doc
Architecture: all
Section: doc
Depends:
 mpi-default-bin,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 liggghts
Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --parallel

export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

disable_auto_test_archs_simpl = armel armhf 
disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
	mkdir test
	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; mpirun -np 2 $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_simple)))
	mkdir test
	cp -r  examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif

override_dh_strip:
	dh_strip --dbg-package=libliggghts2-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/CFDEMproject/LIGGGHTS-PUBLIC/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## liggghts 3.0.0+repack

=== src/Makefile ===
--- 
+++ 
@@ -13,14 +13,16 @@
 
 # Package variables
 
-PACKAGE = asphere class2 colloid dipole fld gpu granular kim \
-	  kspace manybody mc meam molecule opt peri poems reax replica \
-	  shock srd xtc
-
-PACKUSER = user-misc user-atc user-awpmd user-cg-cmm \
-	   user-cuda user-eff user-ewaldn user-omp user-reaxc user-sph
-
-PACKLIB = gpu kim meam poems reax user-atc user-awpmd user-cuda
+PACKAGE = asphere body class2 colloid dipole fld gpu granular kim \
+	  kspace manybody mc meam misc molecule opt peri poems reax replica \
+	  rigid shock srd voronoi xtc
+
+PACKUSER = user-atc user-awpmd user-cg-cmm user-colvars \
+	   user-cuda user-eff user-lb user-misc user-omp user-molfile \
+	   user-phonon user-reaxc user-sph
+
+PACKLIB = gpu kim meam poems reax voronoi \
+	  user-atc user-awpmd user-colvars user-cuda user-molfile
 
 PACKALL = $(PACKAGE) $(PACKUSER)
 
@@ -36,9 +38,16 @@
 	@echo ''
 	@echo 'make clean-all           delete all object files'
 	@echo 'make clean-machine       delete object files for one machine'
-	@echo 'make tar                 lmp_src.tar.gz of src dir and packages'
-	@echo 'make makelib             update Makefile.lib for library build'
-	@echo 'make makelist            update Makefile.list used by old makes'
+	@echo 'make purge               purge obsolete copies of package sources'
+	@echo 'make tar                 create lmp_src.tar.gz of src dir and packages'
+	@echo 'make makelib             create Makefile.lib for static library build'
+	@echo 'make makeshlib           create Makefile.shlib for shared library build'
+	@echo 'make makelist            create Makefile.list used by old makes'
+	@echo 'make -f Makefile.lib machine      build LAMMPS as static library for machine'
+	@echo 'make -f Makefile.shlib machine    build LAMMPS as shared library for machine'
+	@echo 'make -f Makefile.list machine     build LAMMPS from explicit list of files'
+	@echo 'make stubs               build dummy MPI library in STUBS'
+	@echo 'make install-python      install LAMMPS wrapper in Python'
 	@echo ''
 	@echo 'make package             list available packages'
 	@echo 'make package-status      status of all packages'
@@ -68,7 +77,7 @@
 	@test -f MAKE/Makefile.$@
 	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
 	@$(SHELL) Make.sh style
-	@cp -p *.cpp *.h Obj_$@
+	@$(SHELL) Make.sh models
 	@cp MAKE/Makefile.$@ Obj_$@/Makefile
 	@if [ ! -e Makefile.package ]; \
 	  then cp Makefile.package.empty Makefile.package; fi
@@ -76,9 +85,8 @@
 	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
 	@cp Makefile.package Makefile.package.settings Obj_$@
 	@cd Obj_$@; \
-	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" \
+	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "SHFLAGS =" \
 	  "EXE = ../$(EXE)" ../$(EXE)
-	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi
 
 # Remove machine-specific object files
 
@@ -91,6 +99,12 @@
 
 clean-%:
 	rm -rf Obj_$(@:clean-%=%)
+
+purge: Purge.list
+	@echo 'Purging obsolete and auto-generated source files'
+	@for f in `grep -v '#' Purge.list` ;		\
+	    do test -f $$f && rm $$f && echo $$f || : ;		\
+	done
 
 # Create a tarball of src dir and packages
 
@@ -103,20 +117,29 @@
 	@cd STUBS; make
 	@echo "Created $(ROOT)_src.tar.gz"
 
-# Make MPI STUBS lib
+# Make MPI STUBS library
 
 stubs:
 	@cd STUBS; make clean; make
 
-# Update Makefile.lib and Makefile.list
+# Create Makefile.lib, Makefile.shlib, and Makefile.list
 
 makelib:
 	@$(SHELL) Make.sh style
 	@$(SHELL) Make.sh Makefile.lib
 
+makeshlib:
+	@$(SHELL) Make.sh style
+	@$(SHELL) Make.sh Makefile.shlib
+
 makelist:
 	@$(SHELL) Make.sh style
 	@$(SHELL) Make.sh Makefile.list
+
+# install LAMMPS shared lib and Python wrapper for Python usage
+
+install-python:
+	@python ../python/install.py
 
 # Package management
 
@@ -169,17 +192,27 @@
 	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
 	@if [ ! -e $(YESDIR) ]; then \
 	  echo "Package $(@:yes-%=%) does not exist"; \
+	elif [ -e $(YESDIR)/Install.sh ]; then \
+	  echo "Installing package $(@:yes-%=%)"; \
+	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; \
+		$(SHELL) Depend.sh $(YESDIR) 1; \
 	else \
 	  echo "Installing package $(@:yes-%=%)"; \
-	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; $(SHELL) Depend.sh 1; \
+	  cd $(YESDIR); $(SHELL) ../Install.sh 1; cd ..; \
+		$(SHELL) Depend.sh $(YESDIR) 1; \
 	fi;
 
 no-%:
 	@if [ ! -e $(NODIR) ]; then \
 	  echo "Package $(@:no-%=%) does not exist"; \
+	elif [ -e $(NODIR)/Install.sh ]; then \
+	  echo "Uninstalling package $(@:no-%=%)"; \
+	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; \
+		$(SHELL) Depend.sh $(NODIR) 0; \
 	else \
 	  echo "Uninstalling package $(@:no-%=%)"; \
-	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; $(SHELL) Depend.sh 0; \
+	  cd $(NODIR); $(SHELL) ../Install.sh 0; cd ..; \
+		$(SHELL) Depend.sh $(NODIR) 0; \
         fi;
 
 # status = list src files that differ from package files

=== tools/Makefile ===
--- 
+++ 
@@ -9,9 +9,6 @@
 
 binary2txt:	binary2txt.o
 	g++ -g binary2txt.o -o binary2txt
-
-restart2data:	restart2data.o
-	g++ -g restart2data.o -o restart2data
 
 chain:	chain.o
 	ifort chain.o -o chain

=== debian/changelog ===
liggghts (3.0.0+repack-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Anton Gladky <gladk@debian.org>  Thu, 10 Apr 2014 08:22:43 +0200

liggghts (3.0.0+repack-1) unstable; urgency=medium

  * [96c3d6e] Imported Upstream version 3.0.0+repack
  * [8bc06d5] Remove lib/ and src/USER-MISC. (Closes: #742026)

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Mar 2014 20:47:28 +0100

liggghts (3.0.0-1) unstable; urgency=medium

  * [76193e3] Imported Upstream version 3.0.0

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Mar 2014 22:23:50 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Anton Gladky <gladk@debian.org>
 Homepage: http://www.liggghts.com/
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/debian-science/packages/liggghts.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/liggghts.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/liggghts.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/liggghts.git
 
 Package: libliggghts-dev
 Architecture: any
@@ -23,7 +23,7 @@
  ${misc:Pre-Depends}
 Multi-Arch: same
 Depends:
- libliggghts2 (= ${binary:Version}),
+ libliggghts3 (= ${binary:Version}),
  mpi-default-bin,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -40,7 +40,7 @@
  .
  The package contains development files.
 
-Package: libliggghts2
+Package: libliggghts3
 Architecture: any
 Depends:
  mpi-default-bin,
@@ -62,7 +62,7 @@
  .
  The package contains shared library.
 
-Package: libliggghts2-dbg
+Package: libliggghts3-dbg
 Architecture: any
 Section: debug
 Pre-Depends:
@@ -90,7 +90,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- libliggghts2 (>= ${source:Version}),
+ libliggghts3 (>= ${source:Version}),
  mpi-default-bin,
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,5 @@
 endif
 
 override_dh_strip:
-	dh_strip --dbg-package=libliggghts2-dbg
+	dh_strip --dbg-package=libliggghts3-dbg
